Subject: Re: [PATCH net-next v2] net: core: set and refine qdisc pkt len before tc_classify

From: Daniel Borkmann <[email-masked]>
Date: Wed, 13 May 2015 23:36:49 +0200

On 05/13/2015 11:20 PM, Eric Dumazet wrote:
...
> Is qdisc_pkt_len_init() still inlined, now it has 2 callers ?
>
> People using policers on ingress are very often disabling GRO for
> various historical reasons.

Yes, tested policer and for getting it working on my side, GRO needs
to be off.

> Since handle_ing() is very uncommon, I would prefer not slowing down tx
> just so that GRO ~5% error in ingress is fixed.

I see a callq dc0 <qdisc_pkt_len_init> now. Ok, in that case Florian's
original version is fine:

   http://patchwork.ozlabs.org/patch/471346/

> I noticed you did not CC me, don't be afraid to include me next time one
> of my commit is referred in a changelog ;)

Hmm, I did Cc you. ;)

To:	[email-masked]
Cc:	[email-masked], [email-masked], [email-masked],
	[email-masked], [email-masked],
	[email-masked]

Thanks,
Daniel